docs

Delete a price

Deletes a price. Only prices that have never been referenced by a line item can be deleted — once a price has been used in any checkout session or payment link, archive it instead. If the price is set as the default price for a product, the default price reference will be cleared.

DELETE
/prices/{id}
  Deletes a price. Only prices that have never been referenced by a line item can be deleted — once a price has been used in any checkout session or payment link, archive it instead.

  If the price is set as the default price for a product, the default price reference will be cleared.
AuthorizationBearer <token>

API key for merchant integrations. Send as Authorization: Bearer <your key>.

In: header

Path Parameters

id*string

Price ID

Response Body

curl -X DELETE "https://example.com/prices/string"
Empty
Empty
Empty